Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class EnumProperty.Maker

    java.lang.Object
      org.apache.fop.fo.properties.PropertyMaker
          org.apache.fop.fo.properties.EnumProperty.Maker

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  FontStretchPropertyMaker, FontWeightPropertyMaker

Enclosing class:
  EnumProperty

    public static class EnumProperty.Maker

extends PropertyMaker

Inner class for creating EnumProperty instances

Field Summary

Fields inherited from class org.apache.fop.fo.properties.PropertyMaker
`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

Constructor Summary
`EnumProperty.Maker(int propId)`

Method Summary
`Property` | `checkEnumValues(java.lang.String value)` Called by subclass if no match found.
`Property` | `convertProperty(Property p, PropertyList propertyList, FObj fo)` Convert a property.

Methods inherited from class org.apache.fop.fo.properties.PropertyMaker
`addEnum, addKeyword, addShorthand, addSubpropMaker, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumProperty.Maker

    public EnumProperty.Maker(int propId)

Parameters:
  `propId` - the id of the property for which a Maker should be created

Method Detail

### checkEnumValues

    public Property checkEnumValues(java.lang.String value)

  Called by subclass if no match found.

  Overrides:
    `checkEnumValues` in class `PropertyMaker`
  Parameters:
    `value` - string containing the value to be checked
  Returns:
    null (indicates that an appropriate match was not found)

### convertProperty

    public Property convertProperty(Property p,
                                    PropertyList propertyList,
                                    FObj fo)
                             throws PropertyException

  Convert a property.

  Overrides:
    `convertProperty` in class `PropertyMaker`
  Parameters:
    `p` - the property to convert
    `propertyList` - the property list to use in conversion
    `fo` - the FO to use in conversion
  Returns:
    the converted property
  Throws:
    `PropertyException` - if a property conversion exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.